DCMTK: DVPSVOILUT_PList Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Member Functions | Private Attributes | List of all members
DVPSVOILUT_PList Class Reference

the list of VOI LUTs contained in an image attached to a presentation state. More...

## Public Member Functions
| DVPSVOILUT_PList ()
| default constructor
| DVPSVOILUT_PList (const DVPSVOILUT_PList &copy)
| copy constructor
DVPSVOILUT_PList * | clone ()
| clone method.
virtual | ~DVPSVOILUT_PList ()
| destructor
OFCondition | read (DcmItem &dset)
| reads a list of VOI LUTs from a DICOM dataset.
void | clear ()
| reset the object to initial state.
size_t | size () const
| get number of VOI LUTs in this list.
DVPSVOILUT * | getVOILUT (size_t idx)
| returns a pointer to the VOI LUT with the given index or NULL if it does not exist.

## Private Member Functions
DVPSVOILUT_PList & | operator= (const DVPSVOILUT_PList &)
| private undefined assignment operator

## Private Attributes
OFList< DVPSVOILUT * > | list_
| the list maintained by this object

## Detailed Description

the list of VOI LUTs contained in an image attached to a presentation state.

This class manages the data structures comprising the VOI LUT Sequence of one image attached to a presentation state.

## Member Function Documentation

## ◆ clear()

void DVPSVOILUT_PList::clear | ( |  | ) |

reset the object to initial state.

After this call, the object is in the same state as after creation with the default constructor.

## ◆ clone()

DVPSVOILUT_PList * DVPSVOILUT_PList::clone | ( |  | ) |
| inline

clone method.

Returns
  a pointer to a new DVPSVOILUT_PList object containing a deep copy of this object.

References DVPSVOILUT_PList().

## ◆ getVOILUT()

DVPSVOILUT * DVPSVOILUT_PList::getVOILUT | ( | size_t | idx | ) |

returns a pointer to the VOI LUT with the given index or NULL if it does not exist.

Parameters

  idx | index, must be < size()

Returns
  pointer to VOI LUT or NULL

## ◆ read()

OFCondition DVPSVOILUT_PList::read | ( | DcmItem & | dset | ) |

reads a list of VOI LUTs from a DICOM dataset.

The DICOM elements of the VOI LUT Sequence are copied from the dataset to this object. The completeness of the item (presence of all required elements, value multiplicity) is checked. If this method returns an error code, the object is in undefined state afterwards.

Parameters

  dset | the dataset from which the VOI LUT Sequence is to be read

Returns
  EC_Normal if successful, an error code otherwise.

## ◆ size()

size_t DVPSVOILUT_PList::size | ( |  | ) | const
| inline

get number of VOI LUTs in this list.

Returns
  the number of VOI LUTs.

References list_.

The documentation for this class was generated from the following file:

- dcmpstat/include/dcmtk/dcmpstat/dvpsvll.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2